@import url('https://fonts.googleapis.com/css2?family=Rosario:ital@1&display=swap');



body {
    margin: 0;
    font-family: 'Rosario', sans-serif;
    overflow-x: hidden;
}

li {
    margin: 0;
    padding: 0;
}

a {
    text-decoration: none;
    display: flex;
}


/* Header */
header {
    position: sticky;
    top: 0;
    z-index: 1;
}

.logo {
    width: 100%;
    min-width: 10rem;
}

img {
    width: 100%;
}


.nav-menu {
    background-color: #000000;
    display: flex;
    justify-content: space-between;
    color: #fff;
    width: 100%;
}

.nav__links {
    font-family: 'Rosario', sans-serif;
    list-style: none;
    display: flex;
    font-weight: 400;
    font-size: 36px;
    margin-right: 5%;
}


.nav__links li {
    margin-right: 1.5rem;
    color: #fff;
    width: 100%;

}

/* Header */

/* Sections */

/* First section */

.exampleOfdoing {
    display: flex;
    justify-content: center;
    align-items: center;
    height: 100vh;
}

.exampleOfdoing {
    min-width: 70rem;
}



.second-group-images__section1 {
    position: relative;
    width: 25%;
    padding: 5px;

}

.first-image__section1 {
    display: flex;
    justify-content: center;
    align-items: center;
    position: relative;
    margin-right: 20px;
    animation: animation__from-left 2.5s ease-in-out;
}

.sixth-image__section1 {
    display: flex;
    justify-content: center;
    align-items: center;
    position: relative;
    animation: animation__from-right 2.5s ease-in-out;
    margin-left: 10px;
}

.third-group-images__section1 {
    width: 25%;
    position: relative;
    padding: 5px;

}

.group-img__1,
.group-img__2 {
    position: relative;
    animation: animation__from-left 2s ease-in-out;
    padding: 5px;
}

.group-img__3,
.group-img__4 {
    position: relative;
    animation: animation__from-right 2s ease-in-out;
    padding: 5px;
}

@keyframes img__anim {
    from {
        left: -100vw;
    }

    to {
        left: 0px;
    }
}




/* First section */

/* Second section */

.second__section {
    height: 100vh;
    display: flex;
}

.services {
    display: flex;
    justify-content: center;
    width: 50%;
}

.main_photo {
    width: 50%;
}

.circles__imgaes {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
}

.circle__img {
    padding: 15px;
}

p {
    margin: 0;
}


.main-photo__section2 {
    position: relative;
    right: 0;
    overflow: hidden;
    width: 100%;
}

.description__photo-section2 {
    font-size: 48px;
    font-weight: 700;
    display: flex;
    justify-content: center;
}

/* Second section */

/* Third section */

.title__team {
    font-size: 96px;
    padding: 40px;
    margin-top: 80px;
    text-align: center;
}

/* .team__img1 {
    background-image: url(../img/third-section/img1.png);
}

.team__img2 {
    background-image: url(../img/third-section/img2.png);
}

.team__img3 {
    background-image: url(../img/third-section/img3.png);
}

.team__img4 {
    background-image: url(../img/third-section/img4.png);
} */


.third-section {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    align-items: center;
    height: 100vh;
}

.staff__team {
    display: flex;
    justify-content: space-around;
}

.staff {
    border-radius: 0 0 37px 37px;
    margin: 0 1%;
    position: relative;
    overflow: hidden;
    transition:  0.3s;
}

.staff:hover {
    height: calc(100% - 12.1rem);
}

.black-block__staff {
    display: none;
    background-color: #000000;
    border-radius: 34px;
    opacity: 0.5;
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 4px;
}

.name__staff {
    color: #fff;
    font-size: 48px;
    background-color: #875021;
    height: 20%; 
    display: none;
    justify-content: center;
    align-items: center;
    opacity: .9;
    position: absolute;
    bottom: 4px;
    left: 0;
    right: 0;
    border-radius: 0 0 36px 36px;

}

.staff:hover .name__staff {
    display: flex;
}

.staff__team:hover .black-block__staff {
    display: flex;
}


.staff:hover .black-block__staff {
    display: none;
}



/* .team__img1:hover .team__img2 {
    display: none;
} */

/* Third section */
/* Fourth section */

.fourth__section {
    align-items: center;
    height: 100vh;
}

.contact {
    margin: 130px 0 0 100px;
    display: flex;
    justify-content: space-around;
    flex-direction: row-reverse;
}

.contact__map {
    margin-top: 3.5%;
}

.title__contact {
    font-size: 64px;
    width: 80%;
    text-align: center;
    font-weight: 700;
}

.information__box {
    background-color: #E5E5E5;
    height: 65%;
    width: 80%;
}

.name__input,
.email__input,
.message__input {
    font-size: 24px;
}


.name__input {
    margin-top: 35px;
    margin-left: 2.5%;
    width: 41%;
    height: 60px;
}

.email__input {
    margin-top: 35px;
    height: 60px;
    width: 41%;
    margin-left: 50px;
}



.message__input {
    margin-top: 45px;
    height: 150px;
    width: 82%;
    width: 90%;
    margin-bottom: 31px;
    margin-left: 2.5%;
}


.title__footer {
    font-size: 36px;
    font-weight: bold;
}

.footer__menu {
    display: flex;
    justify-content: space-evenly;
    font-size: 30px;
    text-align: center;
    margin-top: 5%;
}

#time__opening {
    padding-bottom: 40px;
}

.footer__menu a {
    color: #000000;
}

.footer__menu span {
    font-weight: bold;
}

.twitter__link {
    margin-right: 30px;
}

.media__link {
    margin-top: 5px;
}

.media__link img {
    margin-top: 5px;
    margin-right: 5px;
    width: 26px;
    height: 26px;
}

/* Fourth section */




/* Sections */


/* Animation */

/* First Section Animantion */

@keyframes animation__from-right {
    from {
        right: -100vw;
    }

    to {
        right: 0;
    }
}

@keyframes animation__from-left {
    from {
        left: -100vw;
    }

    to {
        left: 0px;
    }
}


/* First Section Animantion */

/* Second Section Animation */

.first__group {
    position: relative;
    animation: firstGroup 7s ease-in-out infinite;
    width: 38%;
    padding: 2rem;
    text-align: center;
}


@keyframes firstGroup {
    0% {
        left: 0;
        top: 0;
    }

    25% {
        left: 44.6%;
        top: 0;
    }

    50% {
        left: 44.6%;
        top: 51.7%;
    }

    75% {
        top: 51.7%;
        left: 0;
    }

    100% {
        left: 0;
        top: 0;
    }
}


.second__group {
    position: relative;
    animation: secondGroup 7s ease-in-out infinite;
    width: 38%;
    padding: 2rem;
    text-align: center;
}

@keyframes secondGroup {
    0% {
        top: 0;
        right: 0;
    }

    25% {
        top: 51.7%;
        right: 0;
    }

    50% {
        top: 51.7%;
        right: 44.6%;
    }

    75% {
        top: 0px;
        right: 44.6%;
    }

    100% {
        top: 0;
        right: 0;
    }
}

.third__group {
    position: relative;
    animation: thirdGroup 7s ease-in-out infinite;
    width: 38%;
    padding: 2rem;
    text-align: center;
}

@keyframes thirdGroup {
    0% {
        bottom: 0;
        left: 0;
    }

    25% {
        left: 0;
        bottom: 51.7%;
    }

    50% {
        left: 44.6%;
        bottom: 51.7%;
    }

    75% {
        left: 44.6%;
        bottom: 0;
    }

    100% {
        bottom: 0;
        left: 0;
    }
}

.fourth__group {
    position: relative;
    animation: fourthGroup 7s ease-in-out infinite;
    width: 38%;
    text-align: center;
    padding: 2rem;
    text-align: center;
}

@keyframes fourthGroup {
    0% {
        right: 0;
        bottom: 0;
    }

    25% {
        right: 44.6%;
        bottom: 0;
    }

    50% {
        right: 44.6%;
        bottom: 51.7%;
    }

    75% {
        right: 0;
        bottom: 51.7%;
    }

    100% {
        right: 0;
        bottom: 0;
    }
}

/* Second Section Animation */



/* Animation */





/* Screen < 992px */

@media (max-width: 992px) {

    .exampleOfdoing,
    .second__section,
    .third-section,
    .fourth__seciton {
        height: auto;
    }


    /* Navigation menu */

    body {
        overflow-x: hidden;

    }


    .nav__links li {
        margin-right: 1rem;
        font-size: 1.9rem;
    }

    /* .nav-menu {
        display: flex;
        align-items: center;
        flex-direction: column;
        height: auto;
        width: 100vw;
    } */


    /* Navigation menu */

    /* First Section Screen 992px */

    .exampleOfdoing {
        display: grid;
        grid-template-columns: 50% 50%;
        align-items: center;
    }

    .exampleOfdoing img {
        max-width: 25rem;
        min-width: 0;
    }


    @keyframes animation__from-right992-768px {
        from {
            right: -100vw;
        }

        to {
            right: 8%;
        }
    }


    .first-image__section1 {
        margin-left: 17%;
        animation: 2s animation__from-left ease-in-out;
    }


    /* 
    .second-group-images__section1 {
        margin-left: 10%;
        animation: 2s animation__from-left ease-in-out;
    } */

    .group-img__3,
    .group-img__4 {
        position: relative;
        right: 8%;
        animation: 2s animation__from-right992-768px ease-in-out;
    }

    .second-group-images__section1 {
        margin-left: 10%;
    }

    .sixth-image__section1 {
        margin-left: 7%;
        position: relative;
        right: 8%;
        animation: 2s animation__from-right992-768px ease-in-out;

    }






    .sixth-image__section1,
    .first-image__section1 {
        max-width: 20rem;
    }

    .group__images {
        width: 75%;
    }

    .second-group-images__section1,
    .third-group-images__section1 {
        order: 2;
    }

    .sixth-image__section1 {
        order: 1;
    }




    /* First Section Screen 992px */


    /* Second Section Screen 992px */

    .second__section {
        margin-top: 20%;
        flex-direction: column-reverse;
        /* height: 50vh; */
    }

    .main_photo {
        width: 100%;
    }

    .services {
        display: flex;
        width: 100%;
    }

    .circles__imgaes {
        justify-content: center;
        margin-top: 10%;
    }



    .first__group {
        animation: first__circle__992px 7s ease-in-out infinite;
    }

    @keyframes first__circle__992px {
        0% {
            top: 0;
            left: 0;
        }

        25% {
            top: 0;
            left: 44.6%;
        }

        50% {
            top: 50%;
            left: 44.6%;
        }

        75% {
            top: 50%;
            left: 0;
        }

        100% {
            top: 0;
            left: 0;
        }

    }


    .second__group {
        animation: second__circle__992px 7s ease-in-out infinite;
    }


    @keyframes second__circle__992px {
        0% {
            right: 0;
            top: 0;
        }

        25% {
            right: 0;
            top: 50%;
        }

        50% {
            right: 44.6%;
            top: 50%;
        }

        75% {
            right: 44.6%;
            top: 0;
        }

        100% {
            right: 0;
            top: 0;
        }
    }


    .third__group {
        animation: third__circle__992px 7s ease-in-out infinite;
    }

    @keyframes third__circle__992px {
        0% {
            left: 0;
            bottom: 0;
        }

        25% {
            left: 0;
            bottom: 50%;
        }

        50% {
            left: 44.6%;
            bottom: 50%;
        }

        75% {
            left: 44.6%;
            bottom: 0;
        }

        100% {
            left: 0;
            bottom: 0;
        }
    }

    .fourth__group {
        animation: fourth__circle__992px 7s ease-in-out infinite;
    }

    @keyframes fourth__circle__992px {
        0% {
            right: 0;
            bottom: 0;
        }

        25% {
            right: 44.6%;
            bottom: 0;
        }

        50% {
            right: 44.6%;
            bottom: 50%;
        }

        75% {
            right: 0;
            bottom: 50%;
        }

        100% {
            right: 0;
            bottom: 0;
        }
    }

    /* Second Section Screen 992px */

    /* Third Section Screen 992px */

    .staff__team {
        flex-wrap: wrap;
    }

    .staff {
        margin-top: 15px;
        max-width: 45%;
        margin: 1rem;
    }

    .staff img {
        height: 100%;
    }

    .name__staff {
        border-radius: 0 0 40px 40px;
    }

    .black-block__staff {
        border-radius: 47px;
        bottom: 5px;
    }


    /* Third Section Screen 992px */


    /* Fourth Section Screen 992px */

    .contact {
        flex-direction: column-reverse;
        align-items: center;
    }


    .information__box {
        position: relative;
        left: 5%;
    }

    .contact__map {
        margin-top: 10%;
    }

    /* Fourth Section Screen 992px */


    /* Footer Menu */

    .footer__menu {
        flex-direction: column;
    }

    .contacts__footer,
    .opening-time,
    .social__media {
        margin-top: 7%;
    }

    /* Footer Menu */
}

/* Screen < 992px */

/* Screen < 768px */

@media(max-width: 768px) {

    .exampleOfdoing {
        display: grid;
        grid-template-columns: 1fr;
    }

    .second-group-images__section1,
    .third-group-images__section1 {
        display: grid;
        margin: 0;
        margin-left: 14%;
    }


    .exampleOfdoing img {
        margin-top: 15px;
    }


    .first-image__section1 {
        animation: animation__from-left 2s ease-in-out;
        left: 0;
    }

    .group-img__1 {
        animation: animation__from-left 2s ease-in-out;
        left: 0;

    }

    /* .second-group-images__section1 {
        animation: animation__from-right 2s ease-in-out;
    } */


    .group-img__2 {
        animation: animation__from-right 2s ease-in-out;
        right: 0;
    }



    .group-img__3 {
        left: 0;
        animation: animation__from-left 2s ease-in-out;

    }

    .group-img__4 {
        animation: animation__from-right 2s ease-in-out;
        /* margin-left: 8%; */
        right: 0;
    }

    .sixth-image__section1 {
        animation: animation__from-right 2s ease-in-out;
        right: 0;
        margin-left: 17%;
    }






    body {
        overflow-x: hidden;

    }

    .logo {
        min-width: 10rem;
        width: 100%;
    }


    .nav__links {
        margin: 0;
        padding: 0;
    }

    .nav__links li {
        font-size: 1.3rem;
        margin: 0 10px 0 0;
    }

    .nav-menu {
        display: flex;
        align-items: center;

    }


    .main_photo {
        display: none;
    }

    .services {
        width: 100%;
        display: flex;
    }

    .circles__imgaes {
        flex-direction: column;
        align-items: center;
        text-align: center;
    }

    .img__descriptin-section2 {
        width: 50%;
    }






    /* First section  screen-768px */

    body {
        overflow-x: hidden;
    }

    /* First section  screen-768px */


    /* Second section  screen-768px */

    .second__section {
        height: auto;
        margin-top: 10%;
    }

    .circles__imgaes {
        display: flex;
        flex-wrap: wrap;

    }

    .circle__img {
        padding: 0;
    }

    .main-photo__section2 {
        display: none;
    }

    .first__group {
        animation: first__circle 7s ease-in-out infinite;
        width: 80%;
    }

    @keyframes first__circle {
        0% {
            left: 0;
            top: 0;
        }



        100% {
            left: 0;
            top: 0;
        }
    }

    .second__group {
        animation: second__circle 7s ease-in-out infinite;
        width: 80%;

    }

    @keyframes second__circle {
        0% {
            right: 0;
            top: 0;
        }


        100% {
            right: 0;
            top: 0;
        }
    }

    .third__group {
        animation: third__circle 7s ease-in-out infinite;
        width: 80%;

    }

    @keyframes third__circle {
        0% {
            left: 0;
            bottom: 0;
        }


        100% {
            left: 0;
            bottom: 0;
        }
    }

    .fourth__group {
        animation: fourth__circle 7s ease-in-out infinite;
        width: 80%;

    }

    @keyframes fourth__circle {
        0% {
            right: 0;
            bottom: 0;
        }


        100% {
            right: 0;
            bottom: 0;
        }
    }

    /* Second section  screen-768px */


    /* Third section  screen-768px */

    .third-section {
        height: auto;
        padding: 46px 24px;
    }

    .staff__team {
        width: 100%;
        height: 100%;
        flex-wrap: nowrap;
        flex-direction: column;
        align-items: center;
    }


    .black-block__staff {
        border-radius: 39px;
    }

    .staff{
        margin-top: 5%;
        width: 100%;
        max-width: 60%;
    }


    /* Third section  screen-768px */


    /* Fourth section  screen-768px */

    .fourth__seciton {
        display: flex;
        flex-wrap: wrap;
        height: auto;
    }

    .contact {
        margin: 0;
        flex-direction: column;
    }

    .info_inputs {
        display: flex;
        flex-direction: column;
        align-items: center;
    }

    .email__input {
        margin-left: 40px;
    }

    .contact__map {
        margin-left: 5%;
    }

    /* Fourth section  screen-768px */


    /* Footer menu screen-768px */

    .footer__menu {
        flex-direction: column;
    }

    .contacts__footer,
    .opening-time,
    .social__media {
        margin-top: 5%;
        display: flex;
        flex-direction: column;
        align-items: center;
    }

    /* Footer menu screen-768px */

}

/* Screen < 768px */


@media (max-width:600px) {
    .nav__links li {
        font-size: 1rem;
    }

    .nav__links {
        padding-left: 1rem;
    }
}